package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Urbanization;
import com.lightinit.hsdatashow.entity.UrbanizationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UrbanizationMapper {
    long countByExample(UrbanizationExample example);

    int deleteByExample(UrbanizationExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Urbanization record);

    int insertSelective(Urbanization record);

    List<Urbanization> selectByExample(UrbanizationExample example);

    Urbanization selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Urbanization record, @Param("example") UrbanizationExample example);

    int updateByExample(@Param("record") Urbanization record, @Param("example") UrbanizationExample example);

    int updateByPrimaryKeySelective(Urbanization record);

    int updateByPrimaryKey(Urbanization record);
}